Bug 984053 - Fail to resume from suspend Dell XPS 12
Fail to resume from suspend Dell XPS 12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 11:41 EDT by Dan Taylor
Modified: 2013-10-08 12:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:55:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Taylor 2013-07-12 11:41:57 EDT
Description of problem:

Dell XPS 12 fails to resume from suspend

Version-Release number of selected component (if applicable):

3.9.9-301.fc19.x86_64
3.10.0-1.fc20.x86_64

How reproducible:

always

Steps to Reproduce:

1. initiate suspend by closing lid or selecting suspend from logout menu or other menu

2. attempt to resume by opening lid, pressing enter, pressing power, moving mouse


Actual results:

keyboard backlights come on. Screen stays black. No response to ctl-alt-del, ctl-alt-f(2-7), ctl-alt-bkspce, enter, mouse movement, touch screen, or any other input 

Expected results:

normal resume

Additional info:

installed f19 from full installation media, xfce environment. Got same result with gnome3, gnome-classic, cinnamon. UEFI non-secure boot for both installation and system boot. No dual boot. tried F20 kernel above, same result.

sudo yum update -y up to date as of 2013.July.12 09:40 MST

tried moving /etc/X11/xorg.conf.d, which only contained a keyboard related file, to old.xorg.conf.d; no change

cat /var/log/Xorg.0.log | grep initializing
[    16.070] (II) VESA(0): initializing int10
[    16.146] (II) VESA(0): initializing int10

 lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:04.0 Signal processing controller: Intel Corporation 3rd Gen Core Processor Thermal Subsystem (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QS77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
00:1f.6 Signal processing controller: Intel Corporation 7 Series/C210 Series Chipset Family Thermal Management Controller (rev 04)
02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)
Comment 1 Dan Taylor 2013-07-12 11:44:15 EDT
No change after adding boot parameter acpi_backlight=vendor
Comment 2 Dan Taylor 2013-07-13 09:49:58 EDT
Machine is alive after resume; can get in with ssh, just nothing on its own local console(s).
Comment 3 Josh Boyer 2013-09-18 16:24:28 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josh Boyer 2013-10-08 12:55:24 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.